Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# SDLmm::VideoInfo Class Reference

Video target information. More...

`#include <sdlmm_videoinfo.h>`

List of all members.

## Public Methods
bool | GetVideoInfo ()
| Update the pointer to the video information. More...
bool | hw_available ()
| Returns true if hardware acceleration is available. More...
bool | wm_available ()
| Returns true if a window managed is available. More...
bool | blit_hw ()
| Returns true if hardware to hardware blits are accelerated. More...
bool | blit_hw_CC ()
| Returns true if hardware to hardware colorkey blits are accelerated. More...
bool | blit_hw_A ()
| Returns true if hardware to hardware alpha blits are accelerated. More...
bool | blit_sw ()
| Returns true if software to hardware blits are accelerated. More...
bool | blit_sw_CC ()
| Returns true if software to hardware colorkey blits are accelerated. More...
bool | blit_sw_A ()
| Returns true if software to hardware alpha blits are accelerated. More...
bool | blit_fill ()
| Returns true if color fills are accelerated. More...
Uint32 | video_mem ()
| Returns the total amount of video memory in kilobytes. More...
const PixelFormat | GetPixelFormat () const
| Returns the SDL_PixelFormat struct for the video device. More...
PixelFormat | GetPixelFormat ()
## Public Attributes
const SDL_VideoInfo* | me
| The video info struct. More...

## Detailed Description

Video target information.

This object contains read-only information about the video hardware. If this is called before Display::SetVideoMode(), the vfmt member of the returned structure will contain the pixel format of the "best" video mode.

Todo:
  Build a status function allowing for easier access to the flags. This can be done using a bitfield which would allow for checking for multiple features at once.

Warning:
  Before using information from VideoInfo, the video subsystem must already be initialized.

See also:
  Display::Init(), Display::SetVideoMode()

## Member Function Documentation

PixelFormat SDLmm::VideoInfo::GetPixelFormat ( | )`[inline]`

const PixelFormat SDLmm::VideoInfo::GetPixelFormat ( | ) const`[inline]`

| Returns the SDL_PixelFormat struct for the video device.

bool SDLmm::VideoInfo::GetVideoInfo ( | )

| Update the pointer to the video information. Returns: If the update fails, VideoInfo::me is set to zero and false is returned. true is returned for success. Note: The pointer stored in this object should be updated automatically so there should be no need for the programmer to call this function manually.

bool SDLmm::VideoInfo::blit_fill ( | )

| Returns true if color fills are accelerated.

bool SDLmm::VideoInfo::blit_hw ( | )

| Returns true if hardware to hardware blits are accelerated.

bool SDLmm::VideoInfo::blit_hw_A ( | )

| Returns true if hardware to hardware alpha blits are accelerated.

bool SDLmm::VideoInfo::blit_hw_CC ( | )

| Returns true if hardware to hardware colorkey blits are accelerated.

bool SDLmm::VideoInfo::blit_sw ( | )

| Returns true if software to hardware blits are accelerated.

bool SDLmm::VideoInfo::blit_sw_A ( | )

| Returns true if software to hardware alpha blits are accelerated.

bool SDLmm::VideoInfo::blit_sw_CC ( | )

| Returns true if software to hardware colorkey blits are accelerated.

bool SDLmm::VideoInfo::hw_available ( | )

| Returns true if hardware acceleration is available.

Uint32 SDLmm::VideoInfo::video_mem ( | )

| Returns the total amount of video memory in kilobytes.

bool SDLmm::VideoInfo::wm_available ( | )

| Returns true if a window managed is available.

## Member Data Documentation

const SDL_VideoInfo * SDLmm::VideoInfo::me

| The video info struct. This struct contains the information about the display. You can access it directly or use the VideoInfo functions like VideoInfo::hw_available(). The data stored in this pointer can be updated (if needed) using VideoInfo::GetVideoInfo().

The documentation for this class was generated from the following files:

- sdlmm_videoinfo.h
- sdlmm_videoinfo.cpp

Documentation automatically generated by written by Dimitri van Heesch. | Project hosted at